:root {
    --azul-fundo: #dce2f5;
    --cinza-claro: #dfdede;
    --cinza-escuro: #969090;
    --vermelho: #a34c4c;
    --outra-cor: #0f4d42;
}

body {
    background-color: var(--cinza-escuro);
    font-family:'Times New Roman', Times, serif;    
    display: flex;
    height: 100px;
    }

.container {
    display: block;
    background: var(--azul-fundo);
}

.caixa {
    background: var(--azul-fundo);
    width: 100%;
    padding: 20px;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -20%);
    border-radius: 5px;
}


.imc {
    font: var(--fonte-principal);
    font-size: 3rem;
    font-weight: bold;
    padding-left: 15px;
    color: rgb(43, 43, 43);
    font-family:'Times New Roman', Times, serif;
    text-shadow: 1px 3px 4px rgb(112, 110, 110); 
}

.imc2 {
    text-decoration: underline;
}

.texto {
    font-size: 20px;
    padding-left: 15px;
    padding-bottom: 15px;
    color: var(--outra-cor);
    text-align: justify;
    line-height: 1.5em;
}

.titulo__formulario {
    font-size: 20px;
    padding: 12px;
    text-align: center;
    background-color: var(--outra-cor);
    color: var(--cinza-claro);
    margin-bottom: 10px;
}

.usuario {
    width: auto;
    width: 100%;
    background: var(--azul-fundo);
    padding: 20px;
    position: absolute;
    left: 50%;
    top: 80%;
    transform: translate(-50%, -37.5%);
    border-radius: 5px;
}

.input {
    width: 95%;
    border-radius: 2px;
    border: 1px solid #ccc;
    padding: 10px;
    height: 50%;
    margin: 10px 0;
}

.formulario {
    font-size: 23px;
    color: var(--outra-cor);
    font-weight: bold;
    margin: 12px;
    font-family:'Times New Roman', Times, serif;
}

#calcular {
    width: 100%;
    height: 40px;
    cursor: pointer;
    background: var(--cinza-escuro);
    font-size: 20px;
    color: var(--cinza-claro);
    border: 0;
    border-radius: 5px;
    transition: 1s;
    margin-top: 10px;
}

#calcular:hover {
    background: var(--outra-cor); 
}

#resultado {
    font-size: 20px;
    color: rgb(68, 67, 67);
    font-weight: bold;
    padding: 20px;
    margin-bottom: 20px;
}

.tabela {
    width: auto;
    width: 100%;
    background: var(--azul-fundo);
    padding: 20px;
    position: absolute;
    left: 50%;
    text-align: center;
    top: 90%;
    transform: translate(-50%, 90%);
    border-radius: 5px;
    margin: 10px 0;
}

.titulo__tabela {
    font-size: 20px;
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    background-color: var(--outra-cor);
    color: var(--cinza-claro)
}

#celula__tabela {
    font-size: 20px;
    font-family: 'Times New Roman', Times, serif;
    border-collapse: collapse;
    width: 100%;
}

#celula__tabela td, #celula__tabela th {
    border: 1px solid #ddd;
    padding: 8px;
}

#celula__tabela tr:nth-child(even){background-color: #ccc;}

#celula__tabela tr:hover {background-color: #407a6f;}

.caixa, .usuario, .tabela {
    display: flex;
    flex-direction: column;
    max-width: 500px;
    padding: 20px;
    
}

@media screen and (max-width: 1350px) {
    .caixa  {
        top: 10%;
        left: 50%;
        transform: translate(-50%, -20%);
    }
    .texto {
        font-size: 18px;
    }
    .celula__tabela {
        position: fixed;
        font-size: 17px;
    }
    .rodape {
        height: auto;
        line-height: auto;
        top: 200%;
        left: 50%;
        transform: translate(-50%, -150%);
    }
}

@media screen and (max-width:500px) {
    body {
        display: flex;
        flex-direction: column;
    }
    .caixa  {
        width: 460px;
        top: 10%;
        left: 50%;
        transform: translate(-50%, -20%);
    }
    .texto {
        font-size: 16px;
    }
    .titulo__formulario {
        font-size: 18px;
    }
    .formulario {
        font-size: 18px;
    }
    #celula__tabela {
        font-size: 16px;
    }
    .titulo__tabela {
        font-size: 18px;
    }
    .rodape {
        font-size: 13px;
        height: auto;
        line-height: auto;      
    }
}

.rodape {
    position: absolute;
    bottom: 0;
    top: 200%;
    left: 50%;
    transform: translate(-50%, -80%);
    background: var(--cinza-escuro);
    color: var(--cinza-claro);
    width: 100%;
    height: 20px;
    text-align: center;
    line-height: auto;
    font-size: 18px;
    margin: 10px;
   
}